#bridge_game_container {
    width: 100%;
    max-width: 720px;
    margin: 0 auto 2rem auto;
    overflow: hidden;
    background: -o-linear-gradient(bottom, #87ceeb 0%, #dff6ff 70%);
    background: -webkit-gradient(linear, left bottom, left top, from(#87ceeb), color-stop(70%, #dff6ff));
    background: linear-gradient(to top, #87ceeb 0%, #dff6ff 70%);
    border-radius: 12px;
    border: 1px solid #eee;
    -webkit-box-shadow: inset 0 0 20px 0 rgba(0, 0, 0, 0.1);
    box-shadow: inset 0 0 20px 0 rgba(0, 0, 0, 0.1);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    position: relative;
}

#bridge_container {
    position: relative;
    width: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    padding-top: 25%;
    margin: 0 auto;
    z-index: 1;

}

#bridge_supports_container {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    width: 90%;
    margin: 0 auto;
    position: relative;
    z-index: 3;
}

.bridge_support {
    width: 50%;
    position: relative;
}

.bridge_support span.bottom_brace {
    display: block;
    width: 100%;
    padding-bottom: 25.2%;
    background-image: url(../content/17/bridgeweek/bridge_brace_left.png);
    background-size: cover;
    background-position: 0 0;
    background-repeat: no-repeat;
}

.bridge_support.left_side span.bottom_brace {
    background-image: url(../content/17/bridgeweek/bridge_brace_left.png);
}

.bridge_support.right_side span.bottom_brace {
    background-image: url(../content/17/bridgeweek/bridge_brace_right.png);
}

.side_post {
    position: absolute;
    height: 200%;
    width: 15%;
    display: block;
    background-image: url(../content/17/bridgeweek/brick.png);
    background-size: contain;
    background-repeat: repeat;
    left: -7%;
    bottom: 0;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-box-shadow: inset 0 0 10px rgba(0, 0, 0, 0.5);
            box-shadow: inset 0 0 10px rgba(0, 0, 0, 0.5);
}
.side_post:after {
    content: '';
    width: 100%;
    height: 5px;
    display: block;
    background: #333;
    position: absolute;
}
.left_side .side_post:after {
    left: -100%;
    -webkit-transform: rotate(-25deg);
        -ms-transform: rotate(-25deg);
            transform: rotate(-25deg);
    top: 15%;
    -webkit-transform-origin: top right;
        -ms-transform-origin: top right;
            transform-origin: top right;
}
.right_side .side_post:after {
    right: -100%;
    -webkit-transform: rotate(25deg);
        -ms-transform: rotate(25deg);
            transform: rotate(25deg);
    top: 15%;
    -webkit-transform-origin: top left;
        -ms-transform-origin: top left;
            transform-origin: top left;
}
.side_post_pole {
    position: absolute;
    top: -100%;
    left: 50%;
    width: 10%;
    height: 100%;
    background: #333;
    -webkit-transform: translate(-50%, 0);
    -ms-transform: translate(-50%, 0);
    transform: translate(-50%, 0);
    border-radius: 2rem;
}

.side_post_pole:before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 1200%;
    height: 5%;
    background: #333;
    -webkit-transform: translate(-50%, 0);
    -ms-transform: translate(-50%, 0);
    transform: translate(-50%, 0);
    border-radius: 4px 4px 0 0;
}

.side_post_pole:after {
    content: "";
    position: absolute;
    top: -5%;
    left: 50%;
    width: 200%;
    height: 5%;
    background: #333;
    -webkit-transform: translate(-50%, 0);
    -ms-transform: translate(-50%, 0);
    transform: translate(-50%, 0);
    border-radius: 100%;
}

.bridge_support.right_side .side_post {
    left: auto;
    right: -7%;
}

.flag {
    position: absolute;
    top: 5%;
    background-image: url(../content/17/bridgeweek/iu.png);
    background-position: center;
    background-size: contain;
    height: 35%;
    width: 1200%;
    background-repeat: no-repeat;
    background-position: 0 0;
}

.left_side .flag {
    left: 150%;
}

.right_side .flag {
    right: 150%;
}

.flag:before,
.flag:after {
    content: '';
    position: absolute;
    width: 100%;
    height: 3px;
    background: #333;
}

.flag:before {
    top: 0;
}

.flag:after {
    bottom: 0;
}

.left_side .flag:before,
.left_side .flag:after {
    left: -10%;
}

.right_side .flag:before,
.right_side .flag:after {
    right: -10%;
}

.bridge_water {
    width: 90%;
    height: 10%;
    background-image: url(../content/17/bridgeweek/water.png);
    background-position: center 0;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    z-index: 1;
    margin: 0;
    position: absolute;
    bottom: 0;
    left: 5%;
}

.bridge_water:before,
.bridge_water:after {
    content: '';
    position: absolute;
    width: 20%;
    height: 2rem;
    background-image: url(../content/17/bridgeweek/grass.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    bottom: 0;
}

.bridge_water:before {
    left: -20%;
}

.bridge_water:after {
    right: -20%;
}

.charactersprite_container {
    width: 14.285%;
    position: relative;
    -webkit-transform: translate(0, 0);
    -ms-transform: translate(0, 0);
    transform: translate(0, 0);
    -webkit-transition: -webkit-transform 0.5s linear;
    transition: -webkit-transform 0.5s linear;
    -o-transition: transform 0.5s linear;
    transition: transform 0.5s linear;
    transition: transform 0.5s linear, -webkit-transform 0.5s linear;
    margin: 0 0 -3px 0;
}

.charactersprite {
    width: 100%;
    padding: 0 0 105.6% 0;
    background-image: url(../content/17/bridgeweek/character3.png);
    background-repeat: no-repeat;
    background-position: 0 0;
    background-size: 800% 100%;
    overflow: hidden;
}

.charactersprite_container.walk {
    -webkit-transform: translate(14.285%, 0);
    -ms-transform: translate(14.285%, 0);
    transform: translate(14.285%, 0);
}

.walk .charactersprite {
    -webkit-animation: walk 1s steps(7) forwards;
    animation: walk 1s steps(7) forwards;
}

@-webkit-keyframes walk {
    from {
        background-position: 0 0;
    }

    to {
        background-position: 100% 0;
    }

    /* Total width of the sprite sheet */
}

@keyframes walk {
    from {
        background-position: 0 0;
    }

    to {
        background-position: 100% 0;
    }

    /* Total width of the sprite sheet */
}

.bridge_deck {
    width: 100%;
    position: relative;
}

.bridge_deck_platform {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    border-bottom: 3px solid #333;
}

.bridge_plank {
    width: 14.285%;
    height: 0.5rem;
    padding: 0 1px;
}

.bridge_plank .plank {
    background: #464c4f;
    display: block;
    height: 100%;
    width: 100%;
    position: relative;
    -webkit-box-shadow: 0 0 5px 5px rgba(250, 0, 0, 0.2);
    box-shadow: 0 0 5px 5px rgba(250, 0, 0, 0.2);
}

.bridge_plank .plank .plank_tooltip,
button .button_tooltip {
    position: absolute;
    top: 0;
    left: 50%;
    width: 110%;
    background: #fff;
    border-radius: 4px;
    padding: 0.5rem;
    text-align: center;
    font-size: 0.825rem;
    -webkit-transform: translate(-50%, calc(-100% - 0rem));
    -ms-transform: translate(-50%, calc(-100% - 0rem));
    transform: translate(-50%, calc(-100% - 0rem));
    z-index: 8;
    text-transform: uppercase;
    -webkit-box-shadow: 0 10px 10px rgba(0, 0, 0, 0.3);
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.3);
    opacity: 0;
    -webkit-transition: all .3s ease;
    -o-transition: all .3s ease;
    transition: all .3s ease;
    color: #333;
    visibility: hidden;
}

.bridge_plank.next .plank .plank_tooltip,
button.button_notification .button_tooltip {
    -webkit-transform: translate(-50%, calc(-100% - 1.5rem));
    -ms-transform: translate(-50%, calc(-100% - 1.5rem));
    transform: translate(-50%, calc(-100% - 1.5rem));
    opacity: 1;
    -webkit-animation: bounce 2s infinite;
    animation: bounce 2s infinite;
    visibility: visible;

}

.bridge_plank .plank .plank_tooltip:after,
button .button_tooltip:after {
    content: '';
    position: absolute;
    bottom: -20px;
    left: 50%;
    border: 10px solid transparent;
    border-top: 10px solid #fff;
    -webkit-transform: translate(-50%, 0);
    -ms-transform: translate(-50%, 0);
    transform: translate(-50%, 0);
}

.bottom_brace:before,
.bottom_brace:after {
    content: '';
    position: absolute;
    left: 50%;
    width: 100%;
    height: 5px;
    background: #464c4f;
    -webkit-transform: translate(-50%, 0);
    -ms-transform: translate(-50%, 0);
    transform: translate(-50%, 0);
    z-index: -1;
}

.bottom_brace:before {
    top: -75%;
}

.bottom_brace:after {
    top: -50%;
}

#message_container {
    background: #fff;
    overflow: hidden;
}

#bridge_controls {
    padding: 1rem;
    background: #900;
    position: relative;
    z-index: 2;
}

#bridge_controls button {
    background: transparent;
    border: none;
    outline: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    cursor: pointer;
    z-index: 2;
    padding: 0.5rem;
    margin: 0;
    line-height: 1;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    background: #fff;
    border: 1px solid #FAC79E;
    border-radius: 2px;
    font-size: 1rem;
    color: #900;
    -webkit-transition: all .25s ease;
    -o-transition: all .25s ease;
    transition: all .25s ease;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    -ms-border-radius: 2px;
    -o-border-radius: 2px;
    display: block;
    position: relative;
}

#bridge_controls button:hover {
    background: #FEF7F1;
    border-color: #FAC79E;
    color: #900;
}

@-webkit-keyframes bounce {

    0%,
    20%,
    50%,
    80%,
    100% {
        -webkit-transform: translate(-50%, calc(-100% - 1.5rem));
        -ms-transform: translate(-50%, calc(-100% - 1.5rem));
        transform: translate(-50%, calc(-100% - 1.5rem));
    }

    40% {
        -webkit-transform: translate(-50%, calc(-100% - 2rem));
        -ms-transform: translate(-50%, calc(-100% - 2rem));
        transform: translate(-50%, calc(-100% - 2rem));
    }

    60% {
        -webkit-transform: translate(-50%, calc(-100% - 2rem));
        -ms-transform: translate(-50%, calc(-100% - 2rem));
        transform: translate(-50%, calc(-100% - 2rem));
    }
}

@-webkit-keyframes bounce {

    0%,
    20%,
    50%,
    80%,
    100% {
        -webkit-transform: translate(-50%, calc(-100% - 1.5rem));
        transform: translate(-50%, calc(-100% - 1.5rem));
    }

    40% {
        -webkit-transform: translate(-50%, calc(-100% - 2rem));
        transform: translate(-50%, calc(-100% - 2rem));
    }

    60% {
        -webkit-transform: translate(-50%, calc(-100% - 2rem));
        transform: translate(-50%, calc(-100% - 2rem));
    }
}

@keyframes bounce {

    0%,
    20%,
    50%,
    80%,
    100% {
        -webkit-transform: translate(-50%, calc(-100% - 1.5rem));
        transform: translate(-50%, calc(-100% - 1.5rem));
    }

    40% {
        -webkit-transform: translate(-50%, calc(-100% - 2rem));
        transform: translate(-50%, calc(-100% - 2rem));
    }

    60% {
        -webkit-transform: translate(-50%, calc(-100% - 2rem));
        transform: translate(-50%, calc(-100% - 2rem));
    }
}

#bridge_complete_message {
    position: absolute;
    top: 25%;
    left: 50%;
    width: 360px;
    -webkit-transform: translate(-50%, -25%) scale(.1);
    -ms-transform: translate(-50%, -25%) scale(.1);
    transform: translate(-50%, -25%) scale(.1);
    opacity: 0;
    text-align: center;
    max-width: 70%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-transition: all .3s .3s ease;
    -o-transition: all .3s .3s ease;
    transition: all .3s .3s ease;
}

#bridge_complete_message h2 {
    margin: 0;
    text-transform: uppercase;
    font-size: calc(1rem + 1.25vw);
    padding: 0;
    line-height: 1;
}

#bridge_complete_message p {
    margin: 0.25rem 0 0 0;
    font-size: 1rem;
    line-height: 1.1;
}

.bridgeComplete #bridge_complete_message {
    -webkit-transform: translate(-50%, -25%) scale(1);
    -ms-transform: translate(-50%, -25%) scale(1);
    transform: translate(-50%, -25%) scale(1);
    opacity: 1;
}

#bridge_controls button#bridge_reset {
    display: none;
}

.bridgeComplete #bridge_controls button#bridge_reset {
    display: block;
}

.bridgeComplete #bridge_controls button#bridge_step {
    display: none;
}


.bridge_message_pane {
    padding: 1rem;
    opacity: 0;
    -webkit-transform: translate(100%, 0);
        -ms-transform: translate(100%, 0);
            transform: translate(100%, 0);
    visibility: hidden;
    position: absolute;
    background: #fff;
    -webkit-transition: all .75s ease;
    -o-transition: all .75s ease;
    transition: all .75s ease;
}
.bridge_message_pane.pastBridgeMessage {
    opacity: 0;
    position: absolute;
    -webkit-transform: translate(-100%, 0);
        -ms-transform: translate(-100%, 0);
            transform: translate(-100%, 0);
}
.bridge_message_pane.showBridgeMessage {
    opacity: 1;
    -webkit-transform: translate(0px, 0);
    -ms-transform: translate(0px, 0);
    transform: translate(0px, 0);
    visibility: visible;
    position: relative;
}


.bridgeweek_heading {
    margin: 0;
    padding: 1rem 0 0 0;
}

p.special {
    font-size: 1.125rem;
}

.bridge_message_pane h3 {
    padding: 0;
}

.bridge_message_pane h4 {
    position: relative;
    padding: 0 0 1rem 0;
    margin: 0;
}

.bridge_message_pane h4:after {
    content: '';
    display: block;
    width: 2rem;
    border-bottom: 3px solid rgb(255, 205, 192);
    position: absolute;
    bottom: 0;
    left: 0;
}
.bridge_message_pane ul {
    margin: 0.5rem 0;
}
.bridge_message_pane li {
    padding: 0.5rem 0;
}
@media screen and (max-width: 479px) {
    #bridge_complete_message p {
        font-size: 0.825rem;
        line-height: 1.1;
    }
}